=== debian/changelog ===
libkgapi (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:47 +0000

libkgapi (17.12.2-0ubuntu1) bionic; urgency=medium

  * 
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:27 +0000

libkgapi (17.08.3-0ubuntu1) bionic; urgency=medium

  * Transitional package priorities changed from 'extra' to 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:19 +0000

libkgapi (17.04.3-0ubuntu2) UNRELEASED; urgency=medium

  * Correct kde-l10n:all Breaks/Replaces, they should be in libkf5gapi-
    data.
  * Make libkf5gapi-data Conflict+Replace libkf5gapi-data (<< 16.12)
    instead of Conflict+Break. When a package replaces another taking
    over any or all files, Conflicts/Replaces should be used, Conflicts
    and Breaks at the same time doesn't make much sense.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 03 Oct 2017 13:54:21 +0200
