=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.28.0~),
-               libkf5calendarcore-dev (>= 4:17.12.3~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5calendarcore-dev (>= 4:18.04.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5coreaddons-dev (>= 5.28.0~),
                libkf5kio-dev (>= 5.28.0~),
                libkf5windowsystem-dev (>= 5.28.0~),
@@ -19,7 +19,7 @@
                qtpositioning5-dev,
                qttools5-dev (>= 5.6.0~),
                qttools5-dev-tools (>= 5.6.0~),
-               qtwebengine5-dev
+               qtwebengine5-dev,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/libkgapi
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
@@ -29,8 +29,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5calendarcore-dev (>= 4:17.12.3~),
-         libkf5contacts-dev (>= 4:17.12.3~),
+Depends: libkf5calendarcore-dev (>= 4:18.04.3~),
+         libkf5contacts-dev (>= 4:18.04.3~),
          libkf5coreaddons-dev (>= 5.12.0~),
          libkpimgapiblogger5 (= ${binary:Version}),
          libkpimgapicalendar5 (= ${binary:Version}),
@@ -41,7 +41,7 @@
          libkpimgapimaps5 (= ${binary:Version}),
          libkpimgapitasks5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Google API library for KDE -- development files
  LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
  for various Google services.
