## libkgapi 18.12.3

=== debian/changelog ===
libkgapi (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:19 +0100

libkgapi (18.12.3-0ubuntu1) disco; urgency=medium

  * libsasl2-dev build dep for SASL plugin moved from kdepim-runtime
  * New package for libsasl2-modules-kdexoauth2 with Breaks/Replaces
    against kdepim-runtime << 18.07.70 (18.08 pre-beta)
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:06:49 +0000
