=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.28.0~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5coreaddons-dev (>= 5.28.0~),
                libkf5kio-dev (>= 5.28.0~),
                libkf5windowsystem-dev (>= 5.28.0~),
@@ -30,8 +30,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5calendarcore-dev (>= 4:18.12.3~),
-         libkf5contacts-dev (>= 4:18.12.3~),
+Depends: libkf5calendarcore-dev (>= 4:19.04.3~),
+         libkf5contacts-dev (>= 4:19.04.3~),
          libkf5coreaddons-dev (>= 5.12.0~),
          libkpimgapiblogger5 (= ${binary:Version}),
          libkpimgapicalendar5 (= ${binary:Version}),
